package com.cocos.remoterender.client.lib;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.hardware.HardwareBuffer;
import android.opengl.GLES30;
import android.opengl.GLUtils;
import android.util.Log;
import com.cocos.remoterender.client.lib.HardwareBufferPatch;
import com.cocos.remoterender.client.none.i;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.FloatBuffer;
import java.nio.ShortBuffer;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

public class b implements i {
  public static final String z = "TextureRenderer";
  
  public static final int A = 4;
  
  public static final int B = 2;
  
  public static final boolean C = false;
  
  public int a;
  
  public int b;
  
  public int c;
  
  public int d;
  
  public long e;
  
  public final AtomicBoolean f;
  
  public final AtomicBoolean g;
  
  public Boolean h;
  
  public Map<Integer, Integer> i;
  
  public int j;
  
  public int k;
  
  public int l;
  
  public int m;
  
  public int n;
  
  public int o;
  
  public int p;
  
  public int q;
  
  public int r;
  
  public int s;
  
  public int t;
  
  public int u;
  
  public int v;
  
  public HardwareBuffer w;
  
  public a x;
  
  public b y;
  
  public b() {
    AtomicBoolean atomicBoolean;
    this
      .a = 0;
    this.b = 0;
    this.c = 0;
    this.d = 0;
    this.e = 0L;
    this(false);
    this.f = this;
    this(false);
    this.g = this;
    this.j = 0;
    this.k = 0;
    this.l = 0;
    this.m = 0;
    this.n = -1;
    this.o = 0;
    this.p = 0;
    this.q = 0;
    this.r = 0;
    this.s = 0;
    this.t = -1;
    this.u = -1;
    this.v = -1;
  }
  
  public final void d() {
    f();
    Log.i("TextureRenderer", "createTexture...");
    arrayOfInt[0] = 0;
    this.j = 0;
    GLES30.glGenTextures(1, arrayOfInt, 0);
    this.j = j;
    int arrayOfInt[], j;
    if ((j = (arrayOfInt = new int[1])[0]) == 0) {
      Log.e("TextureRenderer", "glGenTextures failed!");
      return;
    } 
    GLES30.glBindTexture(3553, j);
    j = 9728;
    int k = 9728;
    Map<Integer, Integer> map;
    if ((map = this.i) != null) {
      if (map.containsKey(Integer.valueOf(10241))) {
        j = ((Integer)this.i.get(Integer.valueOf(10241))).intValue();
        Log.d("TextureRenderer", "glTexParameteri(GLES30.GL_TEXTURE_MIN_FILTER, " + j + ");");
      } 
      if (this.i.containsKey(Integer.valueOf(10240))) {
        k = ((Integer)this.i.get(Integer.valueOf(10240))).intValue();
        Log.d("TextureRenderer", "glTexParameteri(GLES30.GL_TEXTURE_MAG_FILTER, " + k + ");");
      } 
    } 
    GLES30.glTexParameteri(3553, 10241, j);
    GLES30.glTexParameteri(3553, 10240, k);
  }
  
  public final void f() {
    if (this.j == 0)
      return; 
    Log.d("TextureRenderer", "destroyTexture");
    int[] arrayOfInt;
    (arrayOfInt = new int[1])[0] = this.j;
    GLES30.glDeleteTextures(1, arrayOfInt, 0);
    this.j = 0;
  }
  
  public final boolean m() {
    if (this.h == null)
      this.h = Boolean.TRUE; 
    return this.h.booleanValue() ^ true;
  }
  
  public final void e() {
    this();
    Paint paint;
    (new Paint()).setTextSize(30.0F);
    (new Paint()).setStyle(Paint.Style.STROKE);
    (new Paint()).setColor(-16776961);
    (new Paint()).setStrokeWidth(5.0F);
    (new Paint()).setAntiAlias(true);
    float f2 = (new Paint()).measureText("[Dev] Version: 0.9.5");
    Paint.FontMetrics fontMetrics = (new Paint()).getFontMetrics();
    f2 = fontMetrics.descent - fontMetrics.ascent;
    this(bitmap);
    float f1 = -fontMetrics.ascent;
    drawText("[Dev] Version: 0.9.5", 0.0F, f1, paint);
    paint.setStyle(Paint.Style.FILL);
    paint.setColor(-1);
    f1 = -fontMetrics.ascent;
    Canvas canvas;
    (canvas = new Canvas()).drawText("[Dev] Version: 0.9.5", 0.0F, f1, paint);
    GLES30.glGenTextures(1, new int[1], 0);
    int j = (new int[1])[0];
    GLES30.glBindTexture(3553, j);
    GLES30.glTexParameteri(3553, 10241, 9728);
    GLES30.glTexParameteri(3553, 10240, 9728);
    GLUtils.texImage2D(3553, 0, bitmap, 0);
    this.a = bitmap.getWidth();
    this.b = bitmap.getHeight();
    Bitmap bitmap;
    (bitmap = Bitmap.createBitmap((int)Math.ceil(f2), (int)Math.ceil(f2), Bitmap.Config.ARGB_8888)).recycle();
  }
  
  public final void h() {
    if (this.k == 0)
      return; 
    Log.d("TextureRenderer", "destroyWatermarkTexture");
    int[] arrayOfInt;
    (arrayOfInt = new int[1])[0] = this.k;
    GLES30.glDeleteTextures(1, arrayOfInt, 0);
    this.k = 0;
  }
  
  public final void o() {
    this.t = GLES30.glGetAttribLocation(this.n, "aPosition");
    this.u = GLES30.glGetAttribLocation(this.n, "aTexPos");
  }
  
  public final void n() {
    GLES30.glUniform1i(this.v = GLES30.glGetUniformLocation(this.n, "uTexture"), 0);
  }
  
  public final void i() {
    int[] arrayOfInt2;
    (arrayOfInt2 = new int[1])[0] = 0;
    GLES30.glGenVertexArrays(1, arrayOfInt2, 0);
    GLES30.glBindVertexArray(this.o = (new int[1])[0]);
    (arrayOfInt2 = new int[1])[0] = 0;
    GLES30.glGenBuffers(1, arrayOfInt2, 0);
    int k = (new int[1])[0];
    GLES30.glBindBuffer(34962, k);
    GLES30.glBufferData(34962, 64, null, 35044);
    short[] arrayOfShort;
    (arrayOfShort = new short[6])[0] = 0;
    (new short[6])[1] = 1;
    (new short[6])[2] = 3;
    (new short[6])[3] = 3;
    (new short[6])[4] = 2;
    (new short[6])[5] = 0;
    shortBuffer.put(arrayOfShort).position(0);
    int[] arrayOfInt1;
    (arrayOfInt1 = new int[1])[0] = 0;
    GLES30.glGenBuffers(1, this, 0);
    int j = (new int[1])[0];
    GLES30.glBindBuffer(34963, j);
    GLES30.glBufferData(34963, 12, shortBuffer, 35044);
    ShortBuffer shortBuffer;
    (shortBuffer = ByteBuffer.allocateDirect(12).order(ByteOrder.nativeOrder()).asShortBuffer()).clear();
    GLES30.glEnableVertexAttribArray(this.t);
    GLES30.glVertexAttribPointer(this.t, 2, 5126, false, 16, 0);
    GLES30.glEnableVertexAttribArray(this.u);
    GLES30.glVertexAttribPointer(this.u, 2, 5126, false, 16, 8);
    GLES30.glBindVertexArray(0);
    GLES30.glBindBuffer(34962, 0);
    GLES30.glBindBuffer(34963, 0);
    c();
  }
  
  public final void j() {
    if (!m())
      return; 
    int[] arrayOfInt;
    (arrayOfInt = new int[1])[0] = 0;
    GLES30.glGenVertexArrays(1, arrayOfInt, 0);
    GLES30.glBindVertexArray(this.p = (new int[1])[0]);
    (arrayOfInt = new int[1])[0] = 0;
    GLES30.glGenBuffers(1, arrayOfInt, 0);
    this.r = (new int[1])[0];
    arrayOfFloat[0] = 5.0F;
    arrayOfFloat[1] = 5.0F;
    arrayOfFloat[2] = 0.0F;
    arrayOfFloat[3] = 0.0F;
    arrayOfFloat[4] = 5.0F;
    int j;
    arrayOfFloat[5] = (j = this.b) - 5.0F;
    arrayOfFloat[6] = 0.0F;
    arrayOfFloat[7] = 1.0F;
    float[] arrayOfFloat;
    int k;
    (arrayOfFloat = new float[16])[8] = (k = this.a) - 5.0F;
    (new float[16])[9] = 5.0F;
    (new float[16])[10] = 1.0F;
    (new float[16])[11] = 0.0F;
    (new float[16])[12] = k - 5.0F;
    (new float[16])[13] = j - 5.0F;
    (new float[16])[14] = 1.0F;
    (new float[16])[15] = 1.0F;
    floatBuffer.put(arrayOfFloat).position(0);
    GLES30.glBindVertexArray(this.p);
    GLES30.glBindBuffer(34962, this.r);
    GLES30.glBufferData(34962, 64, floatBuffer, 35044);
    FloatBuffer floatBuffer;
    (floatBuffer = ByteBuffer.allocateDirect(64).order(ByteOrder.nativeOrder()).asFloatBuffer()).clear();
    GLES30.glBindBuffer(34963, this.s);
    GLES30.glEnableVertexAttribArray(this.t);
    GLES30.glVertexAttribPointer(this.t, 2, 5126, false, 16, 0);
    GLES30.glEnableVertexAttribArray(this.u);
    GLES30.glVertexAttribPointer(this.u, 2, 5126, false, 16, 8);
    GLES30.glBindVertexArray(0);
    GLES30.glBindBuffer(34962, 0);
    GLES30.glBindBuffer(34963, 0);
    c();
  }
  
  public final void g() {
    int j;
    if ((j = this.o) != 0) {
      int[] arrayOfInt;
      (arrayOfInt = new int[1])[0] = j;
      GLES30.glDeleteVertexArrays(1, arrayOfInt, 0);
      this.o = 0;
    } 
    if ((j = this.p) != 0) {
      int[] arrayOfInt;
      (arrayOfInt = new int[1])[0] = j;
      GLES30.glDeleteVertexArrays(1, arrayOfInt, 0);
      this.p = 0;
    } 
    if ((j = this.q) != 0) {
      int[] arrayOfInt;
      (arrayOfInt = new int[1])[0] = j;
      GLES30.glDeleteBuffers(1, arrayOfInt, 0);
      this.q = 0;
    } 
    if ((j = this.r) != 0) {
      int[] arrayOfInt;
      (arrayOfInt = new int[1])[0] = j;
      GLES30.glDeleteBuffers(1, arrayOfInt, 0);
      this.r = 0;
    } 
    if ((j = this.s) != 0) {
      int[] arrayOfInt;
      (arrayOfInt = new int[1])[0] = j;
      GLES30.glDeleteBuffers(1, this, 0);
      this.s = 0;
    } 
  }
  
  public void a(a parama) {
    this.x = parama;
  }
  
  public boolean k() {
    return this.f.get();
  }
  
  public void b(boolean paramBoolean) {
    this.g.set(paramBoolean);
  }
  
  public boolean l() {
    return this.g.get();
  }
  
  public void q() {
    r();
    this.l = a(35633, "uniform mat4 uScreen;\nattribute vec2 aPosition;\nattribute vec2 aTexPos;\nvarying vec2 vTexPos;\nvoid main() {\n  vTexPos = aTexPos;\n  gl_Position = uScreen * vec4(aPosition.xy, 0.0, 1.0);\n}");
    int j = a(35632, "precision mediump float;\nuniform sampler2D uTexture;\nvarying vec2 vTexPos;\nvoid main(void)\n{\n  gl_FragColor = texture2D(uTexture, vTexPos);\n}");
    GLES30.glUseProgram(this.n = a(this.l, j));
    o();
    n();
    d();
    if (m())
      e(); 
    GLES30.glDisable(2960);
    GLES30.glDisable(2929);
    i();
    j();
    GLES30.glActiveTexture(33984);
    HardwareBuffer hardwareBuffer;
    if ((hardwareBuffer = this.w) != null)
      a(hardwareBuffer); 
  }
  
  public void r() {
    if (this.n != -1) {
      Log.d("TextureRenderer", "tearDown");
      GLES30.glDeleteProgram(this.n);
      this.n = -1;
      GLES30.glDeleteShader(this.l);
      this.l = 0;
      GLES30.glDeleteShader(this.m);
      this.m = 0;
    } 
    g();
    f();
    if (m())
      h(); 
    p();
    this.t = -1;
    this.u = -1;
    this.v = -1;
  }
  
  public void p() {
    if (this.e != 0L) {
      Log.d("TextureRenderer", "releaseSharedEGLImage, destroyEGLImage: " + this.e);
      HardwareBufferPatch.destroyEGLImage(this.e);
      this.e = 0L;
    } 
    this.g.set(false);
  }
  
  public final void b(int paramInt1, int paramInt2) {
    arrayOfFloat[0] = 0.0F;
    arrayOfFloat[1] = 0.0F;
    arrayOfFloat[2] = 0.0F;
    arrayOfFloat[3] = 1.0F;
    arrayOfFloat[4] = 0.0F;
    arrayOfFloat[5] = paramInt2;
    arrayOfFloat[6] = 0.0F;
    arrayOfFloat[7] = 0.0F;
    arrayOfFloat[8] = paramInt2;
    arrayOfFloat[9] = 0.0F;
    arrayOfFloat[10] = 1.0F;
    arrayOfFloat[11] = 1.0F;
    arrayOfFloat[12] = (paramInt2 = this.c);
    float[] arrayOfFloat;
    (arrayOfFloat = new float[16])[13] = (paramInt2 = this.d);
    (new float[16])[14] = 1.0F;
    (new float[16])[15] = 0.0F;
    floatBuffer.put(arrayOfFloat);
    floatBuffer.position(0);
    GLES30.glBindVertexArray(this.o);
    GLES30.glBindBuffer(34962, this.q);
    GLES30.glBufferData(34962, 64, floatBuffer, 35044);
    FloatBuffer floatBuffer;
    (floatBuffer = ByteBuffer.allocateDirect(64).order(ByteOrder.nativeOrder()).asFloatBuffer()).clear();
    GLES30.glBindVertexArray(0);
    GLES30.glBindBuffer(34962, 0);
  }
  
  public void a(b paramb) {
    this.y = paramb;
  }
  
  public void a(boolean paramBoolean) {
    this.f.set(paramBoolean);
  }
  
  public void a(Map<Integer, Integer> paramMap) {
    this.i = paramMap;
  }
  
  public void a(HardwareBuffer paramHardwareBuffer) {
    p();
    int j;
    if ((j = this.j) == 0L) {
      this.w = paramHardwareBuffer;
    } else {
      this.e = l;
      long l;
      if ((l = HardwareBufferPatch.bindHardwareBufferReturnEGLImage(j, paramHardwareBuffer)) != 0L)
        this.g.set(true); 
      this.w = null;
    } 
  }
  
  public final int a(int paramInt, String paramString) {
    int j;
    if ((j = GLES30.glCreateShader(paramInt)) != 0) {
      GLES30.glShaderSource(j, paramString);
      GLES30.glCompileShader(j);
      GLES30.glGetShaderiv(j, 35713, arrayOfInt, 0);
      int[] arrayOfInt;
      if ((arrayOfInt = new int[1])[0] != 0)
        return j; 
      String str = GLES30.glGetShaderInfoLog(j);
      GLES30.glDeleteShader(j);
      throw new RuntimeException("Error compiling shader: " + this);
    } 
    throw new RuntimeException("Error creating shader!");
  }
  
  public void b() {
    r();
  }
  
  public final int a(int paramInt1, int paramInt2) {
    int j;
    if ((j = GLES30.glCreateProgram()) != 0) {
      GLES30.glAttachShader(j, paramInt1);
      GLES30.glAttachShader(j, paramInt2);
      GLES30.glLinkProgram(j);
      GLES30.glGetProgramiv(j, 35714, arrayOfInt, 0);
      int[] arrayOfInt;
      if ((arrayOfInt = new int[1])[0] != 0)
        return j; 
      String str = GLES30.glGetProgramInfoLog(j);
      GLES30.glDeleteProgram(j);
      throw new RuntimeException("Error in program linking: " + this);
    } 
    throw new RuntimeException("Error creating program!");
  }
  
  public void a(GL10 paramGL10, EGLConfig paramEGLConfig) {
    Log.d("TextureRenderer", "onSurfaceCreated");
    q();
    this.f.set(true);
  }
  
  public void a(GL10 paramGL10, int paramInt1, int paramInt2) {
    Log.d("TextureRenderer", "onSurfaceChanged, width=" + paramInt1 + ", height=" + paramInt2);
    this.c = paramInt1;
    this.d = paramInt2;
    b(paramInt1, paramInt2);
    int j = this.c;
    paramInt1 = this.d;
    GLES30.glViewport(0, 0, j, paramInt1);
    j = GLES30.glGetUniformLocation(this.n, "uScreen");
    arrayOfFloat[0] = 2.0F / this.c;
    arrayOfFloat[1] = 0.0F;
    arrayOfFloat[2] = 0.0F;
    arrayOfFloat[3] = 0.0F;
    arrayOfFloat[4] = 0.0F;
    float[] arrayOfFloat;
    (arrayOfFloat = new float[16])[5] = -2.0F / this.d;
    (new float[16])[6] = 0.0F;
    (new float[16])[7] = 0.0F;
    (new float[16])[8] = 0.0F;
    (new float[16])[9] = 0.0F;
    (new float[16])[10] = 0.0F;
    (new float[16])[11] = 0.0F;
    (new float[16])[12] = -1.0F;
    (new float[16])[13] = 1.0F;
    (new float[16])[14] = 0.0F;
    (new float[16])[15] = 1.0F;
    floatBuffer
      .put(arrayOfFloat).position(0);
    GLES30.glUniformMatrix4fv(j, floatBuffer.limit() / 16, false, floatBuffer);
    FloatBuffer floatBuffer;
    (floatBuffer = ByteBuffer.allocateDirect(64).order(ByteOrder.nativeOrder()).asFloatBuffer()).clear();
    b b1;
    if ((b1 = this.y) != null) {
      int k = this.c;
      b1.a(k, this.d);
    } 
  }
  
  public void a(GL10 paramGL10) {
    a a2;
    if ((a2 = this.x) != null)
      a2
        .c(); 
    GLES30.glClearColor(0.0F, 0.0F, 0.0F, 0.0F);
    GLES30.glClear(16384);
    if (this.e == 0L || this.j == 0 || !this.g.get()) {
      if ((a1 = this.x) != null)
        b(); 
      return;
    } 
    GLES30.glDisable(3042);
    GLES30.glBindTexture(3553, ((com.cocos.remoterender.client.lib.b)super).j);
    GLES30.glBindVertexArray(((com.cocos.remoterender.client.lib.b)super).o);
    GLES30.glDrawElements(4, 6, 5123, 0);
    if (super.m()) {
      GLES30.glBindTexture(3553, ((com.cocos.remoterender.client.lib.b)super).k);
      GLES30.glBindVertexArray(((com.cocos.remoterender.client.lib.b)super).p);
      GLES30.glDrawElements(4, 6, 5123, 0);
    } 
    a a1;
    if ((a1 = ((com.cocos.remoterender.client.lib.b)super).x) != null)
      b(); 
  }
  
  public void a() {
    a a1;
    if ((a1 = this.x) != null)
      a(); 
  }
  
  public final void c() {}
}
